> For the complete documentation index, see [llms.txt](https://developers.publicmint.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.publicmint.io/api/webhooks.md).

# Webhooks

In some cases (see examples below), we will send webhooks to the configured link associated to your partner account.&#x20;

Some of the event that will send a webhook are:

* Identity updates;
* Identity KYC updates;
* Transaction updates;
* Activated operations;
* etc.

### Activated operations

When an identity reaches a KYC status that is required for an operation to be activated, a webhook will be sent with the following information:

```
data: {
   operations: [{
      action: 'create',
      code: 'deposit:wire'
   }]
},
type: 'operationActivated'
```

### Identity verification created

When a KYC verification is created for a specific identity, a webhook will be sent with the following information:

```
data: {
   identityId: 'ab86bab9-e479-4dcf-8e29-264d355d1d36',
   verificationId: '9776d638-dbbe-4546-9d1f-264e7472b84e'
},
type: 'identityVerificationCreated'
```

### Identity verification updated

When a KYC verification is updated for a specific identity, a webhook will be sent with the following information:

```
data: {
   identityId: 'ab86bab9-e479-4dcf-8e29-264d355d1d36',
   verificationId: '9776d638-dbbe-4546-9d1f-264e7472b84e'
},
type: 'identityVerificationUpdated'
```

### Identity exception raised

When an exception is raised in the KYC of an identity, a webhook will be sent with the following information:

```
data: {
   exceptions: ['manual_review_required'],
   identityId: '9776d638-dbbe-4546-9d1f-264e7472b84e'
},
type: 'identityExceptionRaised'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.publicmint.io/api/webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
